Loading...
Searching...
No Matches
N_les Struct Reference

The linear equation system (les) structure. More...

`#include <N_pde.h>`

## Data Fields

double * | x
double * | b
double ** | A
G_math_spvector ** | Asp
int | rows
int | cols
int | quad
int | type

## Detailed Description

The linear equation system (les) structure.

This structure manages the Ax = b system. It manages regular quadratic matrices or sparse matrices. The vector b and x are normal one dimensional memory structures of type double. Also the number of rows and the matrix type are stored in this structure.

Definition at line 71 of file N_pde.h.

## Field Documentation

## A

double** N_les::A

Definition at line 74 of file N_pde.h.

Referenced by N_alloc_les_param(), N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_free_les(), N_les_integrate_dirichlet_2d(), N_les_integrate_dirichlet_3d(), and N_print_les().

## Asp

G_math_spvector** N_les::Asp

Definition at line 75 of file N_pde.h.

Referenced by N_alloc_les_param(), N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_free_les(), N_les_integrate_dirichlet_2d(), N_les_integrate_dirichlet_3d(), and N_print_les().

## b

double* N_les::b

Definition at line 73 of file N_pde.h.

Referenced by N_alloc_les_param(), N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_free_les(), N_les_integrate_dirichlet_2d(), N_les_integrate_dirichlet_3d(), and N_print_les().

## cols

int N_les::cols

Definition at line 77 of file N_pde.h.

Referenced by N_alloc_les_param(), N_les_integrate_dirichlet_2d(), N_les_integrate_dirichlet_3d(), and N_print_les().

## quad

int N_les::quad

Definition at line 78 of file N_pde.h.

Referenced by N_alloc_les_param().

## rows

int N_les::rows

Definition at line 76 of file N_pde.h.

Referenced by N_alloc_les_param(), N_free_les(), N_les_integrate_dirichlet_2d(), N_les_integrate_dirichlet_3d(), and N_print_les().

## type

int N_les::type

Definition at line 79 of file N_pde.h.

Referenced by N_alloc_les_param(), N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_free_les(), N_les_integrate_dirichlet_2d(), N_les_integrate_dirichlet_3d(), and N_print_les().

## x

double* N_les::x

Definition at line 72 of file N_pde.h.

Referenced by N_alloc_les_param(), N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_free_les(), and N_print_les().

The documentation for this struct was generated from the following file:

- N_pde.h